CVE-2024-21795

A heap-based buffer overflow vulnerability exists in the .egi parsing functionality of The Biosig Project libbiosig 2.5.0 and Master Branch (ab0ee111). A specially crafted .egi file can lead to arbitrary code execution. An attacker can provide a malicious file to trigger this vulnerability.
Configurations

No configuration.

History

02 Apr 2024, 15:15

Type Values Removed Values Added
Summary
  • (es) Existe una vulnerabilidad de desbordamiento de búfer basada en montón en la funcionalidad de análisis .egi de The Biosig Project libbiosig 2.5.0 y Master Branch (ab0ee111). Un archivo .egi especialmente manipulado puede provocar la ejecución de código arbitrario. Un atacante puede proporcionar un archivo malicioso para desencadenar esta vulnerabilidad.
References
  • () https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/OIRLGNQM33KAWVWP5RPMAPHWNP3IY5YW/ -

20 Feb 2024, 18:15

Type Values Removed Values Added
References
  • {'url': 'https://www.talosintelligence.com/vulnerability_reports/TALOS-2024-1920', 'source': 'talos-cna@cisco.com'}

20 Feb 2024, 16:15

Type Values Removed Values Added
New CVE

Information

Published : 2024-02-20 16:15

Updated : 2024-04-02 15:15


NVD link : CVE-2024-21795

Mitre link : CVE-2024-21795

CVE.ORG link : CVE-2024-21795


JSON object : View

Products Affected

No product.

CWE
CWE-122

Heap-based Buffer Overflow